* {
  margin: 0;
  padding: 0;
  font-family: TT-common;
  color: #0c141d;
}

a {
  text-decoration: none;
  color: inherit;
  font-weight: inherit;
}

.main-wrap {
  background: #F4F6F8;
  min-height: 100vh;
}

/*navigation*/
.navigation {
  max-width: 100%;
  width: 100%;
  display: flex;
  justify-content: space-between;
  overflow-x: auto;
}

.navigation--list {
  display: flex;
  list-style-type: none;
  overflow-x: auto;
  align-items: center;
  margin-right: 15px;
}

.navigation--list::-webkit-scrollbar {
  background: transparent;
  display: none;
}

/* Track */
.navigation--list::-webkit-scrollbar-track {
  background: transparent;
  display: none;
}

/* Handle */
.navigation--list::-webkit-scrollbar-thumb {
  background: transparent;
  display: none;
}

/* Handle on hover */
.navigation--list::-webkit-scrollbar-thumb:hover {
  background: transparent;
  display: none;
}

.navigation--item {
  margin-right: 16px;
  font-size: 12px;
  line-height: 18px;
  letter-spacing: 1px;
  text-transform: uppercase;
  color: #0c141d;
  white-space: nowrap;
}

.navigation--item a {
  font-family: TT-common-demi-bold;
}

.navigation--item-light a {
  color: #fff !important;
}

.navigation--btn {
  font-style: normal;
  font-weight: 600;
  font-size: 12px;
  line-height: 18px;
  letter-spacing: 1px;
  text-transform: uppercase;
  background: transparent;
  color: #ffffff;
  opacity: 0.5;
  border: 1px solid #ffffff;
  border-radius: 6px;
  padding: 7px 17px;
  cursor: pointer;
}

/*navigation*/

/*pagination*/
.pagination {
  display: flex;
  max-width: 360px;
  margin: 0 auto;
  align-items: center;
}

.pagination--item {
  font-style: normal;
  font-weight: bold;
  font-size: 18px;
  line-height: 24px;
  text-align: center;
  color: #00a3ff;
  font-family: TT-common-demi-bold;
  border: 1px solid #d1d8df;
}

.pagination--item-disabled {
  color: rgba(0,163,255,0.5);
  cursor: default !important;
}

.pagination--item-left {
  border-radius: 5px 0 0 5px;
  max-width: 109px;
  width: 100%;
  text-align: center;
  padding: 9px 0;
  cursor: pointer;
}

.pagination--count {
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 20px;
  text-align: center;
  color: #5d6b7b;
  max-width: 140px;
  width: 100%;
  padding: 11px 0;
  border-top: 1px solid #d1d8df;
  border-bottom: 1px solid #d1d8df;
}

.pagination--item-right {
  border-radius: 0 5px 5px 0;
  max-width: 109px;
  width: 100%;
  text-align: center;
  padding: 9px 0;
  cursor: pointer;
}

/*pagination*/

/*footer*/
.footer {
  background: #f4f6f8;
  padding: 54px 20px 0;
}

.footer p {
  color: #080e14;
}

.footer--title {
  font-style: normal;
  font-weight: 500;
  font-size: 44px;
  line-height: 52px;
  text-align: center;
  color: #080e14;
  font-family: TT-common-demi-bold;
  max-width: 726px;
  width: 100%;
  margin: 0 auto 24px;
}

.footer--form {
  background: #ffffff;
  border: 1px solid #d1d8df;
  border-radius: 10px;
  max-width: 548px;
  width: 100%;
  display: flex;
  padding: 6px;
  margin: 0 auto 58px;
  box-sizing: border-box;
  position: relative;
}

.footer--error {
  position: absolute;
  display: none;
  top: calc(100% + 8px);
  left: 16px;
  font-size: 12px;
  line-height: 1.33;
  color: rgb(244, 67, 54) !important;
}

.footer--form--input {
  width: calc(100% - 126px);
  margin-right: 6px;
  height: 38px;
  padding: 0 10px;
  box-sizing: border-box;
  border: none;
  font-size: 16px;
}

.footer--form--input::placeholder {
  font-size: 16px;
}

.footer--form--input:focus {
  border: none;
  outline: none;
}

.footer--form--btn {
  background: #00a3ff;
  border: none;
  border-radius: 6px;
  font-family: TT-common-demi-bold;
  padding: 6px 29px;
  font-style: normal;
  font-weight: bold;
  font-size: 16px;
  line-height: 24px;
  text-align: center;
  color: #ffffff;
  cursor: pointer;
}

.footer--disclamer {
  display: flex;
  flex-direction: column;
  gap: 8px;
  max-width: 952px;
  padding: 30px 0;
  margin: 0 auto;
  border-top: 1px solid rgb(0 0 0 / 0.1);
}

.footer--disclamer p {
  color: #0c141d;
  opacity: 0.5;
}

.footer--info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 952px;
  padding: 30px 0;
  border-top: 1px solid rgb(0 0 0 / 0.1);
  margin: 0 auto;
}

.footer--info--left {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer--info--links {
  text-align: right;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 20px;
  color: #0c141d;
  margin-left: 24px;
}

.footer--info--links a {
  line-height: 30px;
  color: #00a3ff;
}

.footer--info--links a:hover {
  text-decoration: underline;
}

.footer--info--privace {
  color: #5d6b7b;
  font-size: 16px;
  text-align: center;
}

/*footer*/

@media (max-width: 650px) {
  .navigation--btn {
    display: none;
  }

  .footer--title {
    font-size: 32px;
    line-height: 38px;
  }

  .footer--info--links {
    width: 100%;
    text-align: center;
  }

  .footer-disclamer {
    padding: 28px 0 0;
  }

  .footer--info {
    flex-direction: column;
    height: unset;
    padding: 28px;
  }

  .footer--info--left {
    flex-direction: column;
  }

  .footer--info--links {
    margin: 28px 0;
  }
}
